Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class ConsumerInfo

    java.lang.Object
      weblogic.jms.extensions.ConsumerInfo

    public class ConsumerInfo

extends Object

`ConsumerInfo` represents JMS consumer informaton used by JMS message management APIs to provide consumer information to management clients in CompositeData format.

See Also:
  `CompositeData`, `JMSDurableSubscriberRuntimeMBean`

Constructor Summary
`ConsumerInfo(CompositeData cd)` Creates a `ConsumerInfo` object from its CompositeData representation.
`ConsumerInfo(String name, boolean durable, String selector, String clientID, boolean noLocal, String connectionAddress)` Creates a `ConsumerInfo` instance.

Method Summary
`String` | `getClientID()` Gets the client ID.
`protected Map` | `getCompositeDataMap()`
`protected CompositeType` | `getCompositeType()`
`String` | `getConnectionAddress()` Gets the connection address of the client consumer.
`String` | `getName()` Gets the name of the consumer.
`String` | `getSelector()` Gets the selector associated with a consumer.
`boolean` | `isDurable()` Specifies whether the subscriber has a durable or non-durable subscription.
`boolean` | `isNoLocal()` Specifies whether a subscriber that uses the same JMS connection to publish and subscribe to a single topic receives the messages it publishes.
`protected void` | `readCompositeData(CompositeData cd)`
`void` | `setClientID(String clientID)` Sets the client ID.
`void` | `setConnectionAddress(String connectionAddress)` Sets the connection address attribute of the client consumer.
`void` | `setDurable(boolean durable)` Sets the isDurable flag.
`void` | `setName(String name)` Sets the name attribute for a consumer.
`void` | `setNoLocal(boolean noLocal)` Sets the `noLocal` attribute.
`void` | `setSelector(String selector)` Sets the selector attribute for this consumer.
`CompositeData` | `toCompositeData()` Converts a `ConsumerInfo` instance to a CompositeData representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerInfo

    public ConsumerInfo(CompositeData cd)

  Creates a `ConsumerInfo` object from its CompositeData representation.

  Parameters:
    `cd` - the open data representation of a `ConsumerInfo` instance.

### ConsumerInfo

    public ConsumerInfo(String name,
                        boolean durable,
                        String selector,
                        String clientID,
                        boolean noLocal,
                        String connectionAddress)

  Creates a `ConsumerInfo` instance.

  Parameters:
    `name` - the name of the consumer.
    `durable` - indicates whether the consumer is a durable subscriber.
    `selector` - the JMS selector associated with the consumer.
    `clientID` - the client ID of the consumer.
    `noLocal` - the noLocal flag of the consumer.
    `connectionAddress` - the address of the remote consumer.

Method Detail

### toCompositeData

    public CompositeData toCompositeData()
                                  throws OpenDataException

  Converts a `ConsumerInfo` instance to a CompositeData representation.

  Returns:
    the CompositeData representation of the object.
  Throws:
    `OpenDataException` - Thrown when an error occurs while constructing the CompositeData representation.

### getClientID

    public String getClientID()

  Gets the client ID.

  Returns:
    the clientID.

### setClientID

    public void setClientID(String clientID)

  Sets the client ID.

  Parameters:
    `clientID` - the clientID.

### getConnectionAddress

    public String getConnectionAddress()

  Gets the connection address of the client consumer.

  Returns:
    the connection address.

### setConnectionAddress

    public void setConnectionAddress(String connectionAddress)

  Sets the connection address attribute of the client consumer.

  Parameters:
    `connectionAddress` - a connection address.

### isDurable

    public boolean isDurable()

  Specifies whether the subscriber has a durable or non-durable subscription.

  Returns:
    true if the subscription is durable.

### setDurable

    public void setDurable(boolean durable)

  Sets the isDurable flag.

  Parameters:
    `durable` - The durable to set.

### getName

    public String getName()

  Gets the name of the consumer.

  Returns:
    the name of the consumer.

### setName

    public void setName(String name)

  Sets the name attribute for a consumer.

  Parameters:
    `name` - the name for the consumer.

### isNoLocal

    public boolean isNoLocal()

  Specifies whether a subscriber that uses the same JMS connection to publish and subscribe to a single topic receives the messages it publishes.

  Returns:
    true if the subscriber does not receive the messages it publishes.

### setNoLocal

    public void setNoLocal(boolean noLocal)

  Sets the `noLocal` attribute.

  Parameters:
    `noLocal` - true if the subscriber should not receive the messages it publishes. the noLocal to set.

### getSelector

    public String getSelector()

  Gets the selector associated with a consumer.

  Returns:
    the selector.

### setSelector

    public void setSelector(String selector)

  Sets the selector attribute for this consumer.

  Parameters:
    `selector` - the selector.

### readCompositeData

    protected void readCompositeData(CompositeData cd)

### getCompositeDataMap

    protected Map getCompositeDataMap()

### getCompositeType

    protected CompositeType getCompositeType()
                                      throws OpenDataException

  Throws:
    `OpenDataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD